# Uses of Class
org.eclipse.birt.report.model.api.DataSetHandle

Packages that use DataSetHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.olap
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.
org.eclipse.birt.report.model.api.util
Utility classes.

## Uses of DataSetHandle in org.eclipse.birt.report.model.api

Subclasses of DataSetHandle in org.eclipse.birt.report.model.api
Modifier and Type
Class
Description
`class`
`DerivedDataSetHandle`
Provides API to operate a derived data set.
`class`
`JointDataSetHandle`
Provides API to operate a joint data set.
`class`
`OdaDataSetHandle`
Represents an extended data set.
`class`
`ScriptDataSetHandle`
Represents a script data set item.
Methods in org.eclipse.birt.report.model.api that return DataSetHandle
Modifier and Type
Method
Description
`final DataSetHandle`
ModuleHandleImpl.`findDataSet(String name)`
Finds a data set by name in this module and the included modules.
`DataSetHandle`
AbstractScalarParameterHandleImpl.`getDataSet()`
Returns the handle for the data set defined on the parameter.
`DataSetHandle`
CascadingParameterGroupHandleImpl.`getDataSet()`
Returns the handle for the data set defined on the cascading parameter group.
`DataSetHandle`
ReportItemHandleImpl.`getDataSet()`
Returns the data set of the report item.
Methods in org.eclipse.birt.report.model.api that return types with arguments of type DataSetHandle
Modifier and Type
Method
Description
`List<DataSetHandle>`
DerivedDataSetHandle.`getInputDataSets()`
Gets the list of all the input data set handle that this derive data set includes.
Methods in org.eclipse.birt.report.model.api with parameters of type DataSetHandle
Modifier and Type
Method
Description
`boolean`
DynamicFilterParameterHandle.`checkRecursiveDataSet(DataSetHandle dataSetToCheck)`
Checks whether there is recursive reference if this dynamic filter parameter uses the given data set element handle as its "dataSet" property.
`void`
AbstractScalarParameterHandleImpl.`setDataSet(DataSetHandle handle)`
Sets the data set of the report item.
`void`
CascadingParameterGroupHandleImpl.`setDataSet(DataSetHandle handle)`
Sets the data set of the report item.
`void`
ReportItemHandleImpl.`setDataSet(DataSetHandle handle)`
Sets the data set of the report item.
`void`
TemplateDataSetHandle.`transformToDataSet(DataSetHandle dataSetHandle)`
Transforms the current template data set to the given real data set.

## Uses of DataSetHandle in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl with parameters of type DataSetHandle
Modifier and Type
Method
Description
`IDataSet`
SimpleElementFactory.`createDataSet(DataSetHandle handle)`

## Uses of DataSetHandle in org.eclipse.birt.report.model.api.olap

Methods in org.eclipse.birt.report.model.api.olap that return DataSetHandle
Modifier and Type
Method
Description
`DataSetHandle`
TabularCubeHandle.`getDataSet()`
Returns the data set of this cube.
`DataSetHandle`
TabularHierarchyHandle.`getDataSet()`
Returns the data set of this hierarchy.
Methods in org.eclipse.birt.report.model.api.olap with parameters of type DataSetHandle
Modifier and Type
Method
Description
`void`
TabularCubeHandle.`setDataSet(DataSetHandle handle)`
Sets the data set of this cube.
`void`
TabularHierarchyHandle.`setDataSet(DataSetHandle handle)`
Sets the data set of this hierarchy.

## Uses of DataSetHandle in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi with parameters of type DataSetHandle
Modifier and Type
Method
Description
`IDataSet`
ISimpleElementFactory.`createDataSet(DataSetHandle handle)`
Creates the IDataSet instance.

## Uses of DataSetHandle in org.eclipse.birt.report.model.api.util

Methods in org.eclipse.birt.report.model.api.util with parameters of type DataSetHandle
Modifier and Type
Method
Description
`static void`
CompatibilityUtil.`addResultSetColumn(DataSetHandle dataSetHandle, List columns)`
Adds ResultSetColumn without sending out event.
`static void`
CompatibilityUtil.`updateResultSetinCachedMetaData(DataSetHandle setHandle, List resultColumns)`
Updates CachedMetaData.resultSet property with the given data set and the list of result set columns.